# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
CC = @CC@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_CONFIG = @GLIB_CONFIG@
GLIB_LIBS = @GLIB_LIBS@
ISODATE = @ISODATE@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
SMIDUMP = @SMIDUMP@
VERSION = @VERSION@
XML2_CONFIG = @XML2_CONFIG@
XML_CFLAGS = @XML_CFLAGS@
XML_CONFIG = @XML_CONFIG@
XML_LIBS = @XML_LIBS@

INCLUDES = -I$(top_srcdir)/stub -I$(top_srcdir)/proc -I$(top_srcdir)/snmp $(GLIB_CFLAGS) $(GTK_CFLAGS) $(XML_CFLAGS)

bin_PROGRAMS = scli # gscli

scli_SOURCES = scli.c scli.h scli.1 vendors.c 		  getopt.h getopt.c getopt1.c basic.c monitor.c cmds.c 		  fmt.c xml.c 		  system.c entity.c interface.c disman.c snmp.c 		  ip.c udp.c tcp.c 		  bridge.c atm.c ether.c 		  ospf.c printer.c 		  cisco.c nortel.c netsnmp.c

scli_LDADD = -L../proc -lproc -L../stub -lstub -L../snmp -lgsnmp $(GLIB_LIBS) $(XML_LIBS)
#gscli_SOURCES	= gscli.c scli.h scli.1 vendors.c \
#		  getopt.h getopt.c getopt1.c basic.c monitor.c cmds.c fmt.c \
#		  system.c entity.c interface.c disman.c snmp.c \
#		  ip.c udp.c tcp.c \
#		  bridge.c atm.c ether.c \
#		  ospf.c printer.c \
#		  cisco.c nortel.c
#gscli_LDADD	= -L../stub -lstub -L../snmp -lgsnmp $(GTK_LIBS) $(GLIB_LIBS) $(XML_LIBS)
man_MANS = scli.1
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
scli_OBJECTS =  scli.o vendors.o getopt.o getopt1.o basic.o monitor.o \
cmds.o fmt.o xml.o system.o entity.o interface.o disman.o snmp.o ip.o \
udp.o tcp.o bridge.o atm.o ether.o ospf.o printer.o cisco.o nortel.o \
netsnmp.o
scli_DEPENDENCIES = 
scli_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
man1dir = $(mandir)/man1
MANS = $(man_MANS)

NROFF = nroff
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(scli_SOURCES)
OBJECTS = $(scli_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps scli/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

scli: $(scli_OBJECTS) $(scli_DEPENDENCIES)
	@rm -f scli
	$(LINK) $(scli_LDFLAGS) $(scli_OBJECTS) $(scli_LDADD) $(LIBS)

install-man1:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done

uninstall-man1:
	@list='$(man1_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man1
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man1

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = scli

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
atm.o: atm.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h ../stub/atm-mib.h \
	../stub/if-mib.h
basic.o: basic.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/snmpv2-mib.h
bridge.o: bridge.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/bridge-mib.h ../stub/if-mib.h
cisco.o: cisco.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/old-cisco-ip-mib.h ../stub/snmpv2-mib.h
cmds.o: cmds.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h
disman.o: disman.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/iana-language-mib.h ../stub/disman-script-mib.h \
	../proc/disman-script-mib-proc.h ../stub/disman-schedule-mib.h
entity.o: entity.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/entity-mib.h
ether.o: ether.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h ../stub/mau-mib.h \
	../stub/etherlike-mib.h
fmt.o: fmt.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/snmpv2-tm.h
getopt.o: getopt.c ../config.h
getopt1.o: getopt1.c ../config.h getopt.h
interface.o: interface.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/snmpv2-mib.h ../stub/if-mib.h ../proc/if-mib-proc.h \
	../stub/ip-mib.h ../stub/entity-mib.h
ip.o: ip.c scli.h ../config.h getopt.h ../snmp/g_snmp.h ../snmp/g_asn1.h \
	../snmp/g_message.h ../snmp/g_security.h ../snmp/g_sha.h \
	../snmp/g_md5.h ../snmp/g_transport.h ../snmp/g_session.h \
	../snmp/g_dispatch.h ../snmp/g_utils.h ../snmp/g_snmp_table.h \
	../snmp/g_snmp_walk.h ../stub/ip-mib.h ../stub/ip-forward-mib.h \
	../stub/tunnel-mib.h ../stub/if-mib.h ../stub/rfc1213-mib.h
monitor.o: monitor.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/snmpv2-mib.h ../stub/ip-mib.h ../stub/udp-mib.h \
	../stub/tcp-mib.h
netsnmp.o: netsnmp.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/ucd-snmp-mib.h
nortel.o: nortel.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/rapid-city.h ../proc/rapid-city-proc.h
ospf.o: ospf.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h ../stub/ip-mib.h \
	../stub/if-mib.h ../stub/ospf-mib.h
printer.o: printer.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/host-resources-mib.h ../stub/host-resources-types.h \
	../stub/printer-mib.h
scli.o: scli.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h
snmp.o: snmp.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/snmpv2-mib.h ../stub/snmp-framework-mib.h \
	../stub/snmp-view-based-acm-mib.h \
	../stub/snmp-user-based-sm-mib.h ../stub/snmp-target-mib.h \
	../stub/snmp-notification-mib.h \
	../proc/snmp-view-based-acm-mib-proc.h
system.o: system.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h \
	../stub/host-resources-mib.h ../stub/host-resources-types.h \
	../stub/snmpv2-mib.h ../stub/if-mib.h ../stub/entity-mib.h \
	../stub/bridge-mib.h ../stub/disman-script-mib.h
tcp.o: tcp.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h ../stub/tcp-mib.h
udp.o: udp.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h ../stub/udp-mib.h \
	../proc/udp-mib-proc.h
vendors.o: vendors.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h
xml.o: xml.c scli.h ../config.h getopt.h ../snmp/g_snmp.h \
	../snmp/g_asn1.h ../snmp/g_message.h ../snmp/g_security.h \
	../snmp/g_sha.h ../snmp/g_md5.h ../snmp/g_transport.h \
	../snmp/g_session.h ../snmp/g_dispatch.h ../snmp/g_utils.h \
	../snmp/g_snmp_table.h ../snmp/g_snmp_walk.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am: install-man
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS uninstall-man
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) $(MANS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir) $(DESTDIR)$(mandir)/man1


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile install-man1 uninstall-man1 install-man \
uninstall-man tags mostlyclean-tags distclean-tags clean-tags \
maintainer-clean-tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


scli.1:
	./scli -n -c "show scli modes" | \
	awk '/^$$/		{ printf(".PP\n"); next } \
	     /^[A-Z][A-Z  ]*$$/	{ printf(".SH %s\n", $$0); next } \
	     /^    /		{ printf(".TP\n.B %s\n", $$0); next } \
	     /^ $$/		{ next } \
	     //			{ printf("%s\n", $$0) }' > scli.1.modes
	m4 -P scli.1.in > scli.1

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
